Bug 249234 - Review Request: Mozilla Sunbird - Standalone calendar from the Mozilla Project
Review Request: Mozilla Sunbird - Standalone calendar from the Mozilla Project
Status: CLOSED DUPLICATE of bug 357661
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-23 01:47 EDT by Kelly Miller
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 03:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from stdout (3.37 MB, text/plain)
2007-07-23 19:08 EDT, Kelly Miller
no flags Details
Output from stderr (992.39 KB, text/plain)
2007-07-23 19:09 EDT, Kelly Miller
no flags Details

  None (edit)
Description Kelly Miller 2007-07-23 01:47:23 EDT
Spec URL: http://crystalsanctuary.rpgsource.net/packages/specs/sunbird/sunbird.spec
SRPM URL: Currently the spec does not compile.  I'm looking for assistance on fixing it.  The stuff that SHOULD be in the SRPM is here (except for the actual source, which is linked to in the spec file):
http://crystalsanctuary.rpgsource.net/packages/specs/sunbird/
Description: Mozilla Sunbird™ is a cross-platform calendar application, built upon Mozilla Toolkit. Our goal is to bring Mozilla-style ease-of-use to your calendar, without tying you to a particular storage solution.
Comment 1 Kelly Miller 2007-07-23 19:08:13 EDT
Created attachment 159821 [details]
Output from stdout

This is the stdout log from the compilation.
Comment 2 Kelly Miller 2007-07-23 19:09:10 EDT
Created attachment 159822 [details]
Output from stderr

This is the output from stderr during compilation.
Comment 3 David Timms 2007-07-24 10:47:03 EDT
Does normal compile {not rpm build} work ? I reckon that's the first step.
Comment 4 Aurelien Bompard 2007-09-09 04:29:10 EDT
I have a working sunbird RPM here :
http://gauret.free.fr/fichiers/rpms/fedora/sunbird/sunbird.spec 
http://gauret.free.fr/fichiers/rpms/fedora/sunbird/sunbird-0.5-1.fc7.src.rpm
I've made it by looking at how Novell and Mandriva do it. In my opinion, the
"make install" is broken at the moment and tries to compile things that
shouldn't be, which causes the error. Novell uses an included tool to build a
directory with all the needed files in the sources dir, and then copies it in
the buildroot. I've used the same method, it seems to work fine.

Please have a look. Kelly, how about co-maintaining sunbird ? Since it's a
pretty large project, two people will not be too many to handle the bug reports
I believe...
Comment 6 Aurelien Bompard 2007-09-11 02:33:43 EDT
* Tue Sep 11 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.5-3
- minor spec cleanups
- build the Lightning extension
- add an option to build with official branding

http://gauret.free.fr/fichiers/rpms/fedora/sunbird/sunbird.spec 
http://gauret.free.fr/fichiers/rpms/fedora/sunbird/sunbird-0.5-3.fc7.src.rpm

Comment 7 Jef Spaleta 2007-10-23 15:24:42 EDT
I take it that Aurelien is not going to be acting as reviewer on this?
Is this ticket still in the market for a formal reviewer?
Comment 8 Aurelien Bompard 2007-10-23 16:02:12 EDT
I posted my version after a month and a half of inactivity, and over on
non-building srpm, so I think that makes me the bug reporter. If you prefer I
can open a new bug.
Comment 9 Aurelien Bompard 2007-10-28 18:20:11 EDT
* Sat Oct 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.7-1
- version 0.7

http://gauret.free.fr/fichiers/rpms/fedora/sunbird/sunbird-0.7-1.fc7.src.rpm
Comment 10 Aurelien Bompard 2007-10-29 13:33:20 EDT
OK, I've tried to split off the lightning extension. I know that packaging
extensions for mozilla products is pretty hard, so I based my work on the awsome
job done by the mugshot packager.
Reference:
https://www.redhat.com/archives/fedora-devel-list/2007-April/msg00859.html
I've tested many combinations, it seems to work fine.
Plus, the script I'm using could be re-used in other extension packages.

* Mon Oct 29 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.7-2
- split the lightning package
- use scriptlets and triggers based on the mugshot package

http://gauret.free.fr/fichiers/rpms/fedora/sunbird/sunbird-0.7-2.fc7.src.rpm
Comment 11 Aurelien Bompard 2007-10-30 03:27:55 EDT
Since I'm taking over this submission, I've opened another bug: bug 357661

*** This bug has been marked as a duplicate of 357661 ***

Note You need to log in before you can comment on or make changes to this bug.